summaryrefslogtreecommitdiff
path: root/nightly
diff options
context:
space:
mode:
authornjn <njn@a5019735-40e9-0310-863c-91ae7b9d1cf9>2005-08-16 03:28:47 +0000
committernjn <njn@a5019735-40e9-0310-863c-91ae7b9d1cf9>2005-08-16 03:28:47 +0000
commit2e3fcf3e4c63aad2336a7b542437e22f9d7b7e6a (patch)
tree2c64df700ba0c7736f1e35aa459552b11c07214f /nightly
parentec018b5a8b2a6f753885f81bbbdd1bddf3cd155c (diff)
Make the nightly script say early on if the results have changed in
the last 24 hours. This saves you from having to scroll down to determine this when the number of failures is large (eg on PPC). git-svn-id: svn://svn.valgrind.org/valgrind/trunk@4431 a5019735-40e9-0310-863c-91ae7b9d1cf9
Diffstat (limited to 'nightly')
-rwxr-xr-xnightly/bin/nightly15
1 files changed, 11 insertions, 4 deletions
diff --git a/nightly/bin/nightly b/nightly/bin/nightly
index 8bdd26ce..25830bad 100755
--- a/nightly/bin/nightly
+++ b/nightly/bin/nightly
@@ -124,13 +124,20 @@ echo > final
echo "Nightly build on" $ABT_MACHINE "(" $ABT_DETAILS ")" \
"started at" $ABT_START >> final
-# Always show the current results.
-cat new.short >> final
-
# If the results differ from 24 hours ago, print extra stuff.
diff -C1 old.short new.short > diff.short
+changed=$?
+
+if [ $changed != 0 ] ; then
+ echo "Results differ from 24 hours ago" >> final
+else
+ echo "Results unchanged from 24 hours ago" >> final
+fi
+
+# Always show the current results.
+cat new.short >> final
-if [ $? != 0 ] ; then
+if [ $changed != 0 ] ; then
echo "=================================================" >> final
echo "== Results from 24 hours ago ==" >> final
echo "=================================================" >> final